# $Revision: 1.18 $, $Date: 2005/01/13 18:03:48 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (may fail depending on what you 
			# have in your ~/.gnupg dir)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	CPANPLUS
Summary:	Ameliorated interface to CPAN
Summary(pl):	Ulepszony interfejs do CPAN-u
Name:		perl-CPANPLUS
Version:	0.0499
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-authors/id/A/AU/AUTRIJUS/%{pnam}-%{version}.tar.gz
# Source0-md5:	2a4bb58d27a5647dc42bbd4878600ee4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Your::Module::Here)'

%description
CPANPLUS provides command-line access to the CPAN interface. Three
functions, fetch, install and shell are imported in to your namespace.
get - an alias for fetch - is also provided.

Although CPANPLUS can also be used within scripts, it is highly
recommended that you use CPANPLUS::Backend in such situations. In
addition to providing an OO interface, CPANPLUS::Backend is more
efficient than CPANPLUS for multiple operations. CPANPLUS is provided
primarily for the command-line, in order to be backwards compatible
with CPAN.pm.

%description -l pl
CPANPLUS daje dostp z linii polece do interfejsu CPAN. Importowane
do przestrzeni nazw s trzy funkcje: fetch, install i shell. Dodatkowo
get jest aliasem do fetch.

Mimo e moduu CPANPLUS mona uywa w skryptach, zaleca si w takich
sytuacjach uywa CPANPLUS::Backend. Oprcz dostarczania obiektowo
zorientowanego interfejsu, CPANPLUS::Backend jest bardziej wydajny ni
CPANPLUS przy wielu operacjach. CPANPLUS suy gwnie do uywania z
linii polece, aby by wstecznie kompatybilny z CPAN.pm.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	SETUP=n

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ChangeLog AUTHORS
%{perl_vendorlib}/CPANPLUS.pm
%{perl_vendorlib}/CPANPLUS
%exclude %{perl_vendorlib}/CPANPLUS/*.pod
%{_mandir}/man3/*
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CPANPLUS.spec,v $
Revision 1.18  2005/01/13 18:03:48  ankry
- _noautoreq is not bogus; it eliminates bogus R:, rel. 4

Revision 1.17  2005/01/13 13:38:40  ankry
- rel. 3

Revision 1.16  2005/01/10 09:26:56  adamg
- release 2

Revision 1.15  2005/01/10 09:20:37  adamg
- disable tests

Revision 1.14  2005/01/09 19:53:17  adamg
- remove bogus noautoreq

Revision 1.13  2005/01/09 14:36:54  adamg
- updated to 0.499

Revision 1.12  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.11  2004/11/03 22:30:09  paladine
- formatting

Revision 1.10  2004/10/24 13:56:01  paladine
- spelling fix

Revision 1.9  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.7  2004/03/06 21:59:36  adamg
- updated to 0.049

Revision 1.6  2004/01/01 20:20:10  adamg
- updated to 0.048

Revision 1.5  2003/10/12 12:25:22  qboosh
- pl description

Revision 1.4  2003/10/06 08:00:41  migo
- up to 0.045
- added missing files

Revision 1.3  2003/10/01 14:45:28  migo
- don't include pods
- release 3

Revision 1.2  2003/10/01 09:19:04  migo
- md5, fixed bcond

Revision 1.1  2003/09/30 14:55:48  migo
- initial revision
